import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { AuthenticationService } from './authentication.service';
import { AuthenticationController } from './authentication.controller';
import { PassportModule } from '@nestjs/passport';
import { LoginStrategy } from './strategy/login.strategy';
import { JwtStrategy } from './strategy/jwt.strategy';

@Module({
	imports: [
    PassportModule.register({
      property: 'session'
    }),
    ConfigModule
  ],
  providers: [AuthenticationService, LoginStrategy, JwtStrategy],
  controllers: [AuthenticationController]
})
export class AuthenticationModule {}
