import {
	IsEmail,
	IsString,
	IsNotEmpty,
	Length,
} from 'class-validator';
  
export class RegisterDto {
	@IsNotEmpty()
	@IsEmail()
	email: string;
  
	@IsNotEmpty()
	@IsString()
	@Length(2, 128)
	name: string;
  
	@IsNotEmpty()
	@IsString()
	@Length(8, 128)
	password: string;
}
  
export default RegisterDto;